%define url_ver	%(echo %{version} | cut -d. -f1)

Name:		nano
Version:	8.3
Release:	%mkrel 1
Summary:	Tiny console text editor that aims to emulate Pico
License:	GPLv3
Group:		Editors
URL:		https://www.nano-editor.org/
Source0:	https://www.nano-editor.org/dist/v%{url_ver}/%{name}-%{version}.tar.gz
# Improve .spec file syntax hilighting and add support for:
# - CPU arches rpm supports
# - working %ifarch, %ifnarch, %ifos and %ifnos
Patch50:	nano-spec.nanorc.patch
Patch51:	0001-Add-spec.nanorc-include-to-sample.nanorc.in.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	file-devel
BuildRequires:	groff
BuildRequires:	groff-for-man
BuildRequires:	texinfo
# for vt100
Requires:	ncurses

%description
nano (Nano's ANOther editor) is the editor formerly known as
TIP (TIP Isn't Pico). It aims to emulate Pico as closely as
possible while also offering a few enhancements.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--enable-utf8
%make_build

%install
%make_install

#config file
install -Dpm644 doc/sample.nanorc %{buildroot}%{_sysconfdir}/nanorc

#disable line wrapping by default
sed -i -e 's/# set nowrap/set nowrap/' %{buildroot}%{_sysconfdir}/nanorc

#enable all syntax highlighting by default
sed -i -e 's|^#\s\(include.*\*.nanorc\"\)|\1|' %{buildroot}%{_sysconfdir}/nanorc

#enable .spec syntax highlighting by default
sed -i -e 's|^#\s\(include.*spec.nanorc\"\)|\1|' %{buildroot}%{_sysconfdir}/nanorc

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/*html doc/sample.nanorc
%{_bindir}/nano
%{_bindir}/rnano
%{_datadir}/nano/
%{_infodir}/nano.info*
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%config(noreplace) %{_sysconfdir}/nanorc


%changelog
* Sun Mar 16 2025 wally <wally> 8.3-1.mga10
+ Revision: 2164706
- new version 8.3

* Sun Oct 06 2024 wally <wally> 8.2-2.mga10
+ Revision: 2103848
- require ncurses for vt100 terminfo

* Sun Sep 08 2024 wally <wally> 8.2-1.mga10
+ Revision: 2093623
- new version 8.2

* Wed Aug 28 2024 mrambo3501 <mrambo3501> 8.1-1.mga10
+ Revision: 2092056
- version 8.1
- delete Patch1 applied upstream

* Fri Jul 05 2024 wally <wally> 8.0-1.mga10
+ Revision: 2079881
- new version 8.0

* Thu Jun 13 2024 ns80 <ns80> 7.2-3.mga10
+ Revision: 2072989
- add a patch from openSUSE for CVE-2024-5742 (mga#33297)

* Wed Apr 10 2024 wally <wally> 7.2-2.mga10
+ Revision: 2056277
- rebuild for i686

* Sun Jan 22 2023 wally <wally> 7.2-1.mga9
+ Revision: 1934798
- new version 7.2

* Sat Dec 17 2022 wally <wally> 7.1-1.mga9
+ Revision: 1924040
- new version 7.1

* Sat Nov 19 2022 wally <wally> 7.0-1.mga9
+ Revision: 1908863
- new version 7.0

* Wed Aug 03 2022 wally <wally> 6.4-1.mga9
+ Revision: 1875026
- new version 6.4

* Sat Apr 30 2022 wally <wally> 6.3-1.mga9
+ Revision: 1855183
- new version 6.3

* Sat Mar 19 2022 umeabot <umeabot> 6.2-2.mga9
+ Revision: 1799675
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 wally <wally> 6.2-1.mga9
+ Revision: 1786372
- new version 6.2

* Thu Dec 16 2021 wally <wally> 6.0-1.mga9
+ Revision: 1762258
- new version 6.0

* Sun Oct 10 2021 wally <wally> 5.9-1.mga9
+ Revision: 1750472
- new version 5.9

* Wed Jun 16 2021 wally <wally> 5.8-1.mga9
+ Revision: 1730919
- new version 5.8

* Sat May 01 2021 wally <wally> 5.7-1.mga9
+ Revision: 1720723
- new version 5.7

* Sun Mar 07 2021 wally <wally> 5.6.1-1.mga9
+ Revision: 1700390
- new version 5.6.1

* Thu Feb 25 2021 wally <wally> 5.6-1.mga9
+ Revision: 1690999
- new version 5.6

* Fri Dec 18 2020 wally <wally> 5.4-2.mga8
+ Revision: 1660910
- fix build with autoconf 2.70

* Sat Dec 05 2020 wally <wally> 5.4-1.mga8
+ Revision: 1652885
- new version 5.4

* Fri Oct 09 2020 wally <wally> 5.3-1.mga8
+ Revision: 1632996
- new version 5.3

* Tue Sep 01 2020 wally <wally> 5.2-1.mga8
+ Revision: 1620656
- new version 5.2

* Mon Aug 17 2020 wally <wally> 5.1-1.mga8
+ Revision: 1614597
- new version 5.1

* Sun Aug 02 2020 wally <wally> 5.0-1.mga8
+ Revision: 1610534
- new version 5.0

* Fri May 29 2020 wally <wally> 4.9.3-1.mga8
+ Revision: 1588945
-  new version 4.9.3

* Thu Apr 09 2020 wally <wally> 4.9.2-1.mga8
+ Revision: 1565903
- new version 4.9.2

* Thu Apr 02 2020 wally <wally> 4.9.1-1.mga8
+ Revision: 1563988
- new version 4.9.1

* Thu Mar 26 2020 wally <wally> 4.9-1.mga8
+ Revision: 1560818
- new version 4.9
- rediff spec.nanorc patch

* Sun Feb 23 2020 wally <wally> 4.8-1.mga8
+ Revision: 1549560
- new version 4.8

* Wed Feb 19 2020 umeabot <umeabot> 4.7-2.mga8
+ Revision: 1543044
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 wally <wally> 4.7-1.mga8
+ Revision: 1477634
- new version 4.7

* Sun Dec 15 2019 wally <wally> 4.6-1.mga8
+ Revision: 1467519
- new version 4.6

* Sun Oct 06 2019 wally <wally> 4.5-1.mga8
+ Revision: 1449834
- new version 4.5

* Thu Aug 29 2019 wally <wally> 4.4-1.mga8
+ Revision: 1435102
- new version 4.4

* Mon Jul 01 2019 wally <wally> 4.3-1.mga8
+ Revision: 1417282
- new version 4.3

* Sun May 12 2019 wally <wally> 4.2-1.mga7
+ Revision: 1397443
- new version 4.2

* Wed Apr 17 2019 wally <wally> 4.1-1.mga7
+ Revision: 1392104
- new version 4.1

* Thu Mar 28 2019 wally <wally> 4.0-1.mga7
+ Revision: 1380774
- new version 4.0

* Sun Nov 25 2018 wally <wally> 3.2-1.mga7
+ Revision: 1334253
- new version 3.2

* Tue Oct 16 2018 wally <wally> 3.1-1.mga7
+ Revision: 1321122
- new version 3.1

* Tue Sep 11 2018 wally <wally> 3.0-1.mga7
+ Revision: 1258452
- new version 3.0
- recognize aarch64 as arch in spec.nanorc

* Mon Sep 03 2018 tv <tv> 2.9.6-2.mga7
+ Revision: 1256383
- rely on filetriggers for info system (mga#23482)

* Fri May 04 2018 wally <wally> 2.9.6-1.mga7
+ Revision: 1226206
- new version 2.9.6

* Wed Apr 25 2018 wally <wally> 2.9.5-2.mga7
+ Revision: 1222411
- fix docs

* Fri Mar 30 2018 kekepower <kekepower> 2.9.5-1.mga7
+ Revision: 1213648
- Update to version 2.9.5

* Sun Mar 11 2018 wally <wally> 2.9.4-1.mga7
+ Revision: 1208114
- new version 2.9.4

* Mon Dec 04 2017 wally <wally> 2.9.1-1.mga7
+ Revision: 1181193
- new version 2.9.1

* Sun Aug 27 2017 wally <wally> 2.8.7-1.mga7
+ Revision: 1148330
- new version 2.8.7

* Fri Jul 28 2017 wally <wally> 2.8.6-1.mga7
+ Revision: 1132056
- new version 2.8.6

* Tue May 30 2017 wally <wally> 2.8.4-1.mga6
+ Revision: 1105621
- new version 2.8.4
- drop upstreamed patches

* Sat Jan 21 2017 wally <wally> 2.7.4-1.mga6
+ Revision: 1082617
- new version 2.7.4

* Sat Dec 31 2016 wally <wally> 2.7.3-1.mga6
+ Revision: 1078832
- new version 2.7.3
- drop upstreamed patches

* Tue Sep 20 2016 wally <wally> 2.7.0-1.mga6
+ Revision: 1054758
- new version 2.7.0

* Fri Aug 12 2016 wally <wally> 2.6.3-1.mga6
+ Revision: 1046038
- new version 2.6.3

* Thu Aug 11 2016 wally <wally> 2.6.2-1.mga6
+ Revision: 1045703
- new version 2.6.2
- rediff P1 and P2 (from Fedora)

* Fri Mar 04 2016 wally <wally> 2.5.3-1.mga6
+ Revision: 985689
- new version 2.5.3

* Wed Feb 17 2016 wally <wally> 2.5.2-1.mga6
+ Revision: 963739
- new version 2.5.2
- drop P1 (follow Fedora)

* Sat Jan 16 2016 wally <wally> 2.5.1-4.mga6
+ Revision: 924662
- update .spec file syntax hilighting patch to hilight all arches our rpm supports

* Sat Jan 16 2016 wally <wally> 2.5.1-3.mga6
+ Revision: 924502
- support also %%ifarch and %%ifnarch in spec file syntax hilighting

* Sat Jan 16 2016 wally <wally> 2.5.1-2.mga6
+ Revision: 924450
- add patch to support %%filetrigger(in|un|postun) and %%transfiletrigger(in|un|postun) in .spec file syntax hilighting

* Thu Jan 14 2016 wally <wally> 2.5.1-1.mga6
+ Revision: 922995
- new version 2.5.1

* Mon Dec 14 2015 wally <wally> 2.5.0-1.mga6
+ Revision: 910377
- new version 2.5.0

* Sun Nov 22 2015 wally <wally> 2.4.3-1.mga6
+ Revision: 904862
- new version 2.4.3

* Tue Jul 07 2015 wally <wally> 2.4.2-1.mga6
+ Revision: 852395
- new version 2.4.2

* Sat Jun 20 2015 wally <wally> 2.4.1-1.mga6
+ Revision: 836124
- new version 2.4.1
- enable all installed syntax highlighting files by default

* Wed Oct 15 2014 umeabot <umeabot> 2.3.6-3.mga5
+ Revision: 742142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.6-2.mga5
+ Revision: 682795
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 wally <wally> 2.3.6-1.mga5
+ Revision: 655658
- new version 2.3.6

* Thu Jun 19 2014 wally <wally> 2.3.4-1.mga5
+ Revision: 638148
- new version 2.3.4
- sync patches with Fedora

* Sat Oct 19 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 528893
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 wally <wally> 2.3.2-2.mga4
+ Revision: 448081
- enable some syntax highlighting by default

* Thu May 23 2013 wally <wally> 2.3.2-1.mga4
+ Revision: 425029
- new version 2.3.2
- rediff patches (from Fedora)
- drop '--with-tiny' support from .spec
- clean .spec

* Sun Apr 07 2013 luigiwalser <luigiwalser> 2.3.1-4.mga3
+ Revision: 408807
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 2.3.1-3.mga3
+ Revision: 403608
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 wally <wally> 2.3.1-1.mga2
+ Revision: 113606
- new version 2.3.1
- drop P3, fixed upstream

* Sun Apr 03 2011 wally <wally> 2.3.0-1.mga1
+ Revision: 79951
- new version 2.3.0
- sync patches with Fedora
- disable line wrapping by default
- minor .spec cleanup

* Sun Feb 20 2011 wally <wally> 2.2.6-1.mga1
+ Revision: 54580
- new version 2.2.6
- drop buildroot definition
- clean .spec a bit
- imported package nano


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2011.0
+ Revision: 612998
- the mass rebuild of 2010.1 packages

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 535554
- Update to new version 2.2.4 (fixes CVE-2010-1160, CVE-2010-1161)

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2.3-1mdv2010.1
+ Revision: 504291
- update to new version 2.2.3

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 493435
- update to new version 2.2.2

* Sat Dec 26 2009 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 482456
- new version 2.2.1

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 472471
- new version 2.2.0

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.9-2mdv2010.0
+ Revision: 430153
- rebuild

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 2.0.9-1mdv2009.0
+ Revision: 282241
- update to new version 2.0.9

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 2.0.8-1mdv2009.0
+ Revision: 275644
- New version 2.0.8

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.7-2mdv2009.0
+ Revision: 232976
- fix build

* Mon Dec 24 2007 David Walluck <walluck@mandriva.org> 2.0.7-1mdv2008.1
+ Revision: 137392
- 2.0.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 2.0.6-2mdv2008.0
+ Revision: 70374
- info file must be unregistered before being uninstalled

* Fri Apr 27 2007 David Walluck <walluck@mandriva.org> 2.0.6-1mdv2008.0
+ Revision: 18551
- 2.0.6

* Sun Apr 22 2007 David Walluck <walluck@mandriva.org> 2.0.5-1mdv2008.0
+ Revision: 17058
- 2.0.5
  require info-install not rpm-helper


* Mon Jan 29 2007 David Walluck <walluck@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 115169
- 2.0.3
  requires rpm-helper not info-install

* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 2.0.2-1mdv2007.1
+ Revision: 100915
- 2.0.2

* Mon Nov 20 2006 David Walluck <walluck@mandriva.org> 2.0.1-1mdv2007.1
+ Revision: 85688
- 2.0.1

  + Lenny Cartier <lenny@mandriva.com>
    - Import nano

* Fri Jun 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.11-3mdv2007.0
- fix the saving of crontabs with the backup mode active (P1 from debian)
- fix zero-length single-line regexes, which were making nano segfault (P2 from
  debian, should fix #19235)
- allow overriding regexes in the global nanorc with regexes in the personal
  nanorc without error messages (P3 from debian)
- fix nano wrapping some lines containing tabs too early. (P4 from debian)

* Sun Apr 16 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3.11-2mdk
- 64-bit fixes

* Fri Mar 31 2006 Lenny Cartier <lenny@mandriva.com> 1.3.11-1mdk
- 1.3.11

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.3.10-1mdk
- 1.3.10
- fix some construct that trigger a loop in rpmbuildupdate

* Wed Oct 26 2005 Michael Scherer <misc@mandriva.org> 1.3.9-1mdk
- 1.3.9
- rpmbuildupdatable
- mkrel
- fix prereq

* Sat Jul 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8-1mdk
- 1.3.8

* Fri Apr 15 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-1mdk
- 1.3.7

* Mon Feb 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.5-2mdk
- fix compile (P0, from gentoo)

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.5-1mdk
- 1.3.5

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.3-1mdk
- 1.3.3

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.2-1mdk
- 1.3.2

